Subject: Re: [dhcwg] WGLC - draft-ietf-dhc-option-guidelines-12 - Respond by July 15

From: "Bernie Volz (volz)" <[email-masked]>
Date: Fri, 12 Jul 2013 14:13:43 +0000

Fragment type is one of the 'basic' option formats in section 5. You can put these together to build new options that still meet the requirements (though in some cases that requires additional length fields). Perhaps this is one area that needs a bit more clarity? (I think I would have said one can build structured options using the basic option formats in section 5 as the data elements, perhaps with additional (2-octet) length fields where appropriate.)

Yes, RFC 2131 (and perhaps 2132) should be in the Informative References as "DHCPv4" is mentioned several times. First of these (at least) should be linked to the reference (looks to be in section 9).

- Bernie

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Ralph Droms
Sent: Thursday, July 11, 2013 3:56 PM
To: Bernie Volz (volz)
Cc: [email-masked] WG
Subject: Re: [dhcwg] WGLC - draft-ietf-dhc-option-guidelines-12 - Respond by July 15

Looks about ready to publish.  Some comments:

Title of section 10: "Additional States Considered Harmful"  I suggest s/States/State/.  At first, I thought this referred to client states as in DHCPv4.  The text in section 10 clearly refers to state added to the various kinds of state the server maintains to manage clients.

In section 13, what is a "fragment type"?  The word fragment appears (once) previously in section 5, but I don't have a clue what a "fragment type" might be.

Add citations to RFC 2131 and RFC 2132 for the references to DHCPv4?

- Ralph

On Jul 1, 2013, at 5:44 PM 7/1/13, Bernie Volz (volz) <[email-masked]> wrote:

> The draft-ietf-dhc-option-guidelines-12, http://tools.ietf.org/html/draft-ietf-dhc-option-guidelines-12, addresses the comments from the previous (-11) last call. While originally I expected to have a short (1 week) last call for the updated document, I think it best to have the standard 2 weeks given the time of year (and the Independence Day holiday in the US).
>  
> Please review the draft and indicate whether or not you feel this version is ready to be published. Your response matters to the process, so please do respond.
>  
> Do note: While I encourage full reviews, the main focus is to assure we have consensus on the recent changes from the -11. The -11 WGLC support will be taken into consideration.
>  
> As Tomek is an author, I will evaluate consensus after July 15, 2013.
>  
> -          Bernie
>  
> _______________________________________________
> dhcwg mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/dhcwg

_______________________________________________
dhcwg mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/dhcwg